goalUseCard2.mSteps = 
{
	{ action = "click", object = objectIoCardOpening, selection = objectHoCardMachineCard },
	{ action = "click", object = objectEnigmaHandle, started = true },
}
-- ----------------------------------------------------------------------------
goalUseCard2.readyToStart = false
-- ----------------------------------------------------------------------------
function goalUseCard2:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalUseCard2:onStarted()
end
-- ----------------------------------------------------------------------------
function goalUseCard2:onFinished()

	-- disable red light
	objectBoathouseRedFlashingLight:ss(kDone)
	objectRedFlashingLight:ss(kDone)
	objectEnigmaLightAntenna:ss(kDone)

	-- secret entrance
	objectPoiFenceHole01:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalUseCard2:onSolveFinish(layout)

	if (not self.readyToStart) then
		if (layout == layoutBoathouseCardMachine) then
			self.readyToStart = true
		end
	end

end
-- ----------------------------------------------------------------------------
function goalUseCard2:onClickIO(layout, object, props, x, y)

--	if (object == objectIoStillwaterPaper2) then
--		self:achieved()
--	end

end
-- ----------------------------------------------------------------------------
function goalUseCard2:onAnimationFinish(animationName)

	if (animationName == "animobjectIoStillwaterPaper2_blocking") then
		self:achieved()
	end

end